Не обнаружена установленная версия 1С предприятия

Получить 200 видеоуроков по 1С бесплатно:

Иногда случается, что при запуске информационной базы, например  1С 8.3 Бухгалтерия 3.0, вместо её открытия пользователю выводится ошибка (информационное сообщение): «Не обнаружена установленная версия 1С Предприятия»:

Не обнаружена установленная версия 1С Предприятия

либо другая, родственная ей по причине возникновения, ошибка «Для работы с информационной базой необходима версия платформы не меньше чем 8.3.6»:

Для работы с информационной базой необходима версия платформы не меньше чем 8.3.6

В обоих случаях система 1С 8.3 по какой-либо причине считает, что для запуска выбранной базы данных требуется конкретная версия платформы 1С Предприятия, но при этом не находит этой версии среди установленных на компьютере пользователя.

В этой статье мы разберём причины такого поведения системы и пути решения.

Не обнаружена установленная версия 1С Предприятия

Итак, рассмотрим причины и способы решения ошибки «Не обнаружена установленная версия 1С Предприятия».

Причины

На практике события, приводящие к обозначенным ошибкам, могут быть самые разные:

  • Добавление новой информационной базы;
  • Установка новых и удаление старых версий платформы;
  • Обновление конфигурации;
  • Удаление/изменение системных файлов.

Если на компьютере пользователя установлено сразу несколько версий платформы 8.3, а это часто бывает, ведь при установке новой версии – старая автоматически не удаляется, только при необходимости её удаляют вручную, то посмотреть их полный список можно:

  • в списке установленных программ Windows:

список установленных программ Windows

  • либо в меню Пуск (Пуск – Все программы – 1С Предприятие 8 – Дополнительно):

Все программы в меню Пуск

  • или зайти непосредственно в корневой каталог установки системы («C:\Program Files\1cv8»), где для каждой версии платформы 8.3 создан свой собственный каталог с соответствующим именем:

корневой каталог установки системы

По умолчанию при стандартном запуске информационной базы из общей программы запуска (файл 1cestart.exe, стандартное расположение в системе Windows: “C:\Program Files\1cv8\common”) выбирается самая последняя установленная версия платформы 1С Предприятие 8.3. В нашем случае это будет 8.3.8.1747.

При запуске базы из т.н. интерактивной программы запуска (файл 1cv8s.exe, стандартное расположение в каталоге установки конкретной версии платформы, например: «C:\Program Files\1cv8\8.3.7.1776\bin») выбирается соответствующая версия платформы. Тогда, в качестве примера, это будет 8.3.8.1776:

 каталог установки конкретной версии платформы

Так, повторимся, происходит по умолчанию. Но у пользователя (администратора) 1С есть возможность вмешаться в этот процесс, указав системе 1С Предприятие 8.3, какую конкретно версию платформы выбирать при запуске нужной базы данных:

  • В свойстве информационной базы «Версия 1С:Предприятия»;
  • В значениях свойства «Используемые версии» окна настройки диалога запуска.

Чаще всего именно в результате такого «вмешательства» возникают противоречия и ошибки, когда система не обнаруживает необходимую установленную версию 1С Предприятия.

Подробнее об исправлении этой ситуации смотрите в следующей главе.

Примечание: Приведённое решение является наиболее распространённым и работает в 95% случаев. Если Вам это не помогло, то рекомендуем обратиться за помощью к квалифицированному специалисту 1С.

Решение

Итак, при запуске выбранной информационной базы появляется диалоговое сообщение «Не обнаружена установленная версия 1С:Предприятия». Давайте по порядку и на примере пройдём возможные пути решения этой проблемы.

Шаг 1

Для начала проверим свойство информационной базы «Версия 1С:Предприятия». Для этого в окне общей программы запуска (пометка «А») выделяем базу данных и нажимаем кнопку Изменить, после чего откроется окно редактирования свойств базы (пометка «Б»):

редактирование свойств базы

Нажатием кнопки Далее перелестнём первую страницу свойств и перейдём к следующей странице, где можно указать параметры запуска информационной базы:

ввод параметров запуска информационной базы

В нашем случае в свойстве прописано значение 8.3.7.1860. Но, как видим, такой версии платформы в нашей операционной системе не установлено. Возможно, раньше этот релиз был и активно использовался, но затем по каким-то причинам был удалён. Именно поэтому 1С выдаёт соответствующее сообщение!

Изменим значение на 8.3 и «сохранимся»:

изменение параметров запуска информационной базы

Теперь при выборе этой базы данных система будет искать и запускать максимальный релиз в пределах указанной версии 8.3 – в нашем случае этот будет 8.3.8.1784. Если бы указали в свойстве другое значение, например, 8.3.6 – то принцип выбора версии не изменился: будет произведён поиск максимальной установленной версии в пределах подрелиза 8.3.6; в таком случае это был бы единственно возможный релиз 8.3.6.2530.

Примечание: если у пользователя нет специфических требований к привязке определённой базы данных к определённом релизу платформы, то свойство «Версия 1С:Предприятия» не надо заполнять, то есть следует оставлять пустым. Тогда при запуске выбранной информационной базы всегда будет автоматически выбираться самый последний из установленных релиз платформы. В нашем примере мы так не сделали намеренно (см. далее).

Шаг 2

Если первый шаг не помог, то переходим к проверке свойства «Используемые версии» окна «Настройка диалога запуска» (кнопка «Настройка…» общей программы запуска):

Настройка диалога запуска

Обратите внимание, что значения этого свойства сохраняются в параметре DefaultVersion локального конфигурационного файла 1CEStart.cfg (расположен в папке Roaming с пользовательскими файлами Windows: “APPDATA%\1C\1CEStart”; у нас путь к файлу такой: «C:\Users\User\AppData\Roaming\1C\1CEStart»):

содержание локального конфигурационного файла 1CEStart.cfg

В нашем примере в свойстве прописано следующее соответствие: если запускает информационную базу с указанием версии 8.3, то будет использоваться релиз 8.3.7.1860. Но опять же, такой версии платформы в нашей операционной системе не установлено, поэтому 1С продолжает выдавать соответствующее сообщение.

Поэтому удалим значение в окне «Настройка диалога запуска» (либо же удалим строчку с параметром DefaultVersion в конфигурационном файле), сохранимся и снова пробуем запустить нужную базу. Теперь должно помочь.

Примечание: Так же в конфигурационном файле 1CEStart.cfg может быть параметр, некорректное значение которого может послужить причиной возникновения рассматриваемой в статье ошибки, – InstalledLocation. В нём прописывается каталог установки системы 1С:Предприятие (корневой каталог, см.выше). Если у Вас есть этот параметр, то проверьте правильность его значения и, при необходимости, откорректируйте.

Если на втором шаге не получается разобраться с параметрами или это никак не помогает, то вместо их корректировки допустимо просто удалить сам конфигурационный файл 1CEStart.cfg.

Шаг 3

Если предыдущие два шага всё же не решили проблему, то можно перейти к применению наиболее радикальной меры, а именно следует удалить из операционной системы саму программу (платформу) 1С:Предприятие вместе с временными и служебными файлами 1С (хранящимися в подкаталогах Local и Roaming пользовательской папки AppData).

Для работы с информационной базой необходима версия платформы не меньше чем 8.3.6

Рассмотри вторую возможную ошибку – несоответствие версий конфигурации и платформы 1С Предприятие: «Для работы с информационной базой не меньше чем 8.3.6»:

Для работы с информационной базой необходима версия платформы не меньше чем 8.3.6

Причины

Дело в том, что конфигурации 1С активно обновляются, и каждая версия конфигурации предназначена для использования только определённых (наиболее новых) версий платформы 1С Предприятие. Потому, например, после обновления конфигурации или добавления новой информационной базы, и возникает ошибка, если вдруг запускаемая информационная база не соответствует используемой версии платформы.

Узнать требования для версий платформы можно, в частности, на пользовательском сайте https://releases.1c.ru/total , выбрав нужную версию используемой конфигурации:

требования для версии используемой конфигурации

В нашем случае используется информационная база на конфигурации 1С Бухгалтерия предприятия версии 3.0.43.241. Как видим, для неё установлено ограничение версии технологической платформы – не ниже 8.3.6.2076.

Решение

Алгоритм решения проблемы следующий:

  • Проверяем, установлена ли на компьютере нужная версия платформы, удовлетворяющая вышеприведённым требованиям. Если нет, то её следует установить.
  • Если подходящая платформа 1С Предприятие установлена, но система пытается запустить другую более старую версию (пометка «А»), то далее проходим шаги, перечисленные в прошлой главе.

Надеемся, что настоящий материал поможет Вам лучше понять работу программы 1С Предприятия 8.3 и решать возникающие проблемы. Напомним, что можно бесплатно задать вопрос на нашем сайте, наши специалисты постараются ответить в кратчайшие сроки.

Как сделать установку и произвести обновление платформы 1С 8.3 смотрите в нашем видео уроке:

Получить бесплатно



Добавить комментарий / написать вопрос

Ваше Имя*

×
Зарегистрируйтесь и получите бесплатно более 200 видеоуроков
по работе в 1С:Бухгалтерия 8, 1С:ЗУП 8, 1С:УТ 8

Пароль будет направлен Вам на E-mail, который Вы укажете

Мы гарантируем безопасность ваших данных
и ни при каких условиях не передадим их
третьим лицам